/* SPDX-License-Identifier: GPL-2.0 */
/*
 * IMG MSVDX VDMC Registers
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _IMG_MSVDX_VDMC_REGS_H
#define _IMG_MSVDX_VDMC_REGS_H

#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_SIGNATURE_OFFSET		(0x0000)

/* MSVDX_VDMC, CR_VDMC_REFERENCE_CACHE_SIGNATURE, CR_VDMC_REFCACHE_SIG */
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_SIGNATURE_CR_VDMC_REFCACHE_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_SIGNATURE_CR_VDMC_REFCACHE_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_SIGNATURE_CR_VDMC_REFCACHE_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_SIGNATURE_CR_VDMC_REFCACHE_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_SIGNATURE_CR_VDMC_REFCACHE_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_SIGNATURE_CR_VDMC_REFCACHE_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_EFFICIENCY_OFFSET		(0x0004)

/*
 * MSVDX_VDMC, CR_VDMC_REFERENCE_CACHE_EFFICIENCY,
 * CR_VDMC_REFCACHE_EFFICIENCY
 */
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_EFFICIENCY_CR_VDMC_REFCACHE_EFFICIENCY_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_EFFICIENCY_CR_VDMC_REFCACHE_EFFICIENCY_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_EFFICIENCY_CR_VDMC_REFCACHE_EFFICIENCY_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_EFFICIENCY_CR_VDMC_REFCACHE_EFFICIENCY_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_EFFICIENCY_CR_VDMC_REFCACHE_EFFICIENCY_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_EFFICIENCY_CR_VDMC_REFCACHE_EFFICIENCY_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE_OFFSET		(0x0008)

/* MSVDX_VDMC, CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE, CR_VDMC_FILT_SIG */
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE_CR_VDMC_FILT_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE_CR_VDMC_FILT_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE_CR_VDMC_FILT_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE_CR_VDMC_FILT_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE_CR_VDMC_FILT_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_SIGNATURE_CR_VDMC_FILT_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE_OFFSET		(0x000C)

/* MSVDX_VDMC, CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE, CR_VDMC_RECON_SIG */
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE_CR_VDMC_RECON_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE_CR_VDMC_RECON_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE_CR_VDMC_RECON_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE_CR_VDMC_RECON_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE_CR_VDMC_RECON_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_SIGNATURE_CR_VDMC_RECON_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_OFFSET		(0x0010)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_SLICE_REALIGNMENT */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_REALIGNMENT_MASK		(0x00010000)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_REALIGNMENT_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_REALIGNMENT_SHIFT		(16)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_REALIGNMENT_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_REALIGNMENT_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_REALIGNMENT_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_SLICE_LATE_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_LATE_ERROR_MASK		(0x00008000)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_LATE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_LATE_ERROR_SHIFT		(15)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_LATE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_LATE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_LATE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_SLICE_EARLY_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_EARLY_ERROR_MASK		(0x00004000)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_EARLY_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_EARLY_ERROR_SHIFT		(14)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_EARLY_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_EARLY_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_SLICE_EARLY_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_MB_ALIGNMENT_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MB_ALIGNMENT_ERROR_MASK		(0x00002000)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MB_ALIGNMENT_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MB_ALIGNMENT_ERROR_SHIFT		(13)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MB_ALIGNMENT_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MB_ALIGNMENT_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MB_ALIGNMENT_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_FILT_SYNC_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_FILT_SYNC_ERROR_MASK		(0x00001000)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_FILT_SYNC_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_FILT_SYNC_ERROR_SHIFT		(12)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_FILT_SYNC_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_FILT_SYNC_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_FILT_SYNC_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_READ_OVERFLOW */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_READ_OVERFLOW_MASK		(0x00000800)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_READ_OVERFLOW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_READ_OVERFLOW_SHIFT		(11)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_READ_OVERFLOW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_READ_OVERFLOW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_READ_OVERFLOW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_INTER_INTRA_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTER_INTRA_ERROR_MASK		(0x00000400)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTER_INTRA_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTER_INTRA_ERROR_SHIFT		(10)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTER_INTRA_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTER_INTRA_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTER_INTRA_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_MBNO_SMALL_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_SMALL_ERROR_MASK		(0x00000200)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_SMALL_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_SMALL_ERROR_SHIFT		(9)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_SMALL_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_SMALL_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_SMALL_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_MBNO_LARGE_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_LARGE_ERROR_MASK		(0x00000100)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_LARGE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_LARGE_ERROR_SHIFT		(8)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_LARGE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_LARGE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_LARGE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_INTRAMV_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTRAMV_ERROR_MASK		(0x00000080)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTRAMV_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTRAMV_ERROR_SHIFT		(7)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTRAMV_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTRAMV_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_INTRAMV_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_MVACC_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVACC_ERROR_MASK		(0x00000040)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVACC_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVACC_ERROR_SHIFT		(6)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVACC_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVACC_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVACC_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_MVSIZE_ERROR */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVSIZE_ERROR_MASK		(0x00000020)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVSIZE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVSIZE_ERROR_SHIFT		(5)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVSIZE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVSIZE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MVSIZE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_NOOFMV_FEW */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_FEW_MASK		(0x00000010)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_FEW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_FEW_SHIFT		(4)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_FEW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_FEW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_FEW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_NOOFMV_MANY */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_MANY_MASK		(0x00000008)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_MANY_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_MANY_SHIFT		(3)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_MANY_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_MANY_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFMV_MANY_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_NOOFBLK_FEW */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_FEW_MASK		(0x00000004)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_FEW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_FEW_SHIFT		(2)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_FEW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_FEW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_FEW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_NOOFBLK_MANY */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_MANY_MASK		(0x00000002)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_MANY_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_MANY_SHIFT		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_MANY_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_MANY_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_NOOFBLK_MANY_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_STATUS, CR_VDMC_MBNO_PICTSIZE_MISMATCH */
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_PICTSIZE_MISMATCH_MASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_PICTSIZE_MISMATCH_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_PICTSIZE_MISMATCH_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_PICTSIZE_MISMATCH_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_PICTSIZE_MISMATCH_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_STATUS_CR_VDMC_MBNO_PICTSIZE_MISMATCH_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_OFFSET		(0x0014)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_SLICE_REALIGNMENT */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_REALIGNMENT_MASK		(0x00010000)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_REALIGNMENT_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_REALIGNMENT_SHIFT		(16)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_REALIGNMENT_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_REALIGNMENT_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_REALIGNMENT_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_SLICE_LATE_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_LATE_ERROR_MASK		(0x00008000)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_LATE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_LATE_ERROR_SHIFT		(15)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_LATE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_LATE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_LATE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_SLICE_EARLY_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_EARLY_ERROR_MASK		(0x00004000)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_EARLY_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_EARLY_ERROR_SHIFT		(14)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_EARLY_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_EARLY_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_SLICE_EARLY_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_MB_ALIGN_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MB_ALIGN_ERROR_MASK		(0x00002000)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MB_ALIGN_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MB_ALIGN_ERROR_SHIFT		(13)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MB_ALIGN_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MB_ALIGN_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MB_ALIGN_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_FILT_SYNC_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_FILT_SYNC_ERROR_MASK		(0x00001000)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_FILT_SYNC_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_FILT_SYNC_ERROR_SHIFT		(12)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_FILT_SYNC_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_FILT_SYNC_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_FILT_SYNC_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_READ_OVERFLOW */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_READ_OVERFLOW_MASK		(0x00000800)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_READ_OVERFLOW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_READ_OVERFLOW_SHIFT		(11)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_READ_OVERFLOW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_READ_OVERFLOW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_READ_OVERFLOW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_INTER_INTRA_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTER_INTRA_ERROR_MASK		(0x00000400)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTER_INTRA_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTER_INTRA_ERROR_SHIFT		(10)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTER_INTRA_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTER_INTRA_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTER_INTRA_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_MBNO_SMALL_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_SMALL_ERROR_MASK		(0x00000200)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_SMALL_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_SMALL_ERROR_SHIFT		(9)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_SMALL_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_SMALL_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_SMALL_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_MBNO_LARGE_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_LARGE_ERROR_MASK		(0x00000100)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_LARGE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_LARGE_ERROR_SHIFT		(8)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_LARGE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_LARGE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_LARGE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_INTRAMV_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTRAMV_ERROR_MASK		(0x00000080)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTRAMV_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTRAMV_ERROR_SHIFT		(7)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTRAMV_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTRAMV_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_INTRAMV_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_MVACC_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVACC_ERROR_MASK		(0x00000040)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVACC_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVACC_ERROR_SHIFT		(6)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVACC_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVACC_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVACC_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_MVSIZE_ERROR */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVSIZE_ERROR_MASK		(0x00000020)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVSIZE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVSIZE_ERROR_SHIFT		(5)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVSIZE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVSIZE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MVSIZE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_NOOFMV_FEW */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_FEW_MASK		(0x00000010)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_FEW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_FEW_SHIFT		(4)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_FEW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_FEW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_FEW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_NOOFMV_MANY */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_MANY_MASK		(0x00000008)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_MANY_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_MANY_SHIFT		(3)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_MANY_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_MANY_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFMV_MANY_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_EANB_NOOFBLK_FEW */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_EANB_NOOFBLK_FEW_MASK		(0x00000004)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_EANB_NOOFBLK_FEW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_EANB_NOOFBLK_FEW_SHIFT		(2)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_EANB_NOOFBLK_FEW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_EANB_NOOFBLK_FEW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_EANB_NOOFBLK_FEW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_NOOFBLK_MANY */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFBLK_MANY_MASK		(0x00000002)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFBLK_MANY_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFBLK_MANY_SHIFT		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFBLK_MANY_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFBLK_MANY_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_NOOFBLK_MANY_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ENAB_INTERRUPT, CR_VDMC_ENAB_MBNO_PICTSIZE_MISMATCH */
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_PICTSIZE_MISMATCH_MASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_PICTSIZE_MISMATCH_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_PICTSIZE_MISMATCH_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_PICTSIZE_MISMATCH_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_PICTSIZE_MISMATCH_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ENAB_INTERRUPT_CR_VDMC_ENAB_MBNO_PICTSIZE_MISMATCH_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_OFFSET		(0x0018)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_SLICE_REALIGNMENT */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_REALIGNMENT_MASK		(0x00010000)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_REALIGNMENT_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_REALIGNMENT_SHIFT		(16)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_REALIGNMENT_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_REALIGNMENT_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_REALIGNMENT_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_SLICE_LATE_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_LATE_ERROR_MASK		(0x00008000)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_LATE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_LATE_ERROR_SHIFT		(15)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_LATE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_LATE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_LATE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_SLICE_EARLY_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_EARLY_ERROR_MASK		(0x00004000)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_EARLY_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_EARLY_ERROR_SHIFT		(14)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_EARLY_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_EARLY_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_SLICE_EARLY_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_MB_ALIGN_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MB_ALIGN_ERROR_MASK		(0x00002000)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MB_ALIGN_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MB_ALIGN_ERROR_SHIFT		(13)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MB_ALIGN_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MB_ALIGN_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MB_ALIGN_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_FILT_SYNC_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_FILT_SYNC_ERROR_MASK		(0x00001000)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_FILT_SYNC_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_FILT_SYNC_ERROR_SHIFT		(12)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_FILT_SYNC_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_FILT_SYNC_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_FILT_SYNC_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_READ_OVERFLOW */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_READ_OVERFLOW_MASK		(0x00000800)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_READ_OVERFLOW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_READ_OVERFLOW_SHIFT		(11)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_READ_OVERFLOW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_READ_OVERFLOW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_READ_OVERFLOW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_INTER_INTRA_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTER_INTRA_ERROR_MASK		(0x00000400)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTER_INTRA_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTER_INTRA_ERROR_SHIFT		(10)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTER_INTRA_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTER_INTRA_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTER_INTRA_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_MBNO_SMALL_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_SMALL_ERROR_MASK		(0x00000200)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_SMALL_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_SMALL_ERROR_SHIFT		(9)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_SMALL_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_SMALL_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_SMALL_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_MBNO_LARGE_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_LARGE_ERROR_MASK		(0x00000100)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_LARGE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_LARGE_ERROR_SHIFT		(8)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_LARGE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_LARGE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_LARGE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_INTRAMV_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTRAMV_ERROR_MASK		(0x00000080)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTRAMV_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTRAMV_ERROR_SHIFT		(7)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTRAMV_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTRAMV_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_INTRAMV_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_MVACC_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVACC_ERROR_MASK		(0x00000040)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVACC_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVACC_ERROR_SHIFT		(6)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVACC_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVACC_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVACC_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_MVSIZE_ERROR */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVSIZE_ERROR_MASK		(0x00000020)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVSIZE_ERROR_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVSIZE_ERROR_SHIFT		(5)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVSIZE_ERROR_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVSIZE_ERROR_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MVSIZE_ERROR_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_NOOFMV_FEW */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_FEW_MASK		(0x00000010)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_FEW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_FEW_SHIFT		(4)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_FEW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_FEW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_FEW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_NOOFMV_MANY */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_MANY_MASK		(0x00000008)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_MANY_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_MANY_SHIFT		(3)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_MANY_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_MANY_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFMV_MANY_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_NOOFBLK_FEW */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_FEW_MASK		(0x00000004)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_FEW_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_FEW_SHIFT		(2)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_FEW_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_FEW_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_FEW_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_NOOFBLK_MANY */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_MANY_MASK		(0x00000002)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_MANY_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_MANY_SHIFT		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_MANY_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_MANY_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_NOOFBLK_MANY_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_CLR_STATUS, CR_VDMC_CLR_MBNO_PICTSIZE_MISMATCH */
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_PICTSIZE_MISMATCH_MASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_PICTSIZE_MISMATCH_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_PICTSIZE_MISMATCH_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_PICTSIZE_MISMATCH_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_PICTSIZE_MISMATCH_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CLR_STATUS_CR_VDMC_CLR_MBNO_PICTSIZE_MISMATCH_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA_OFFSET		(0x0020)

/*
 * MSVDX_VDMC, CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA,
 * CR_VDMC_FILT_DIRECT_DATA
 */
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA_CR_VDMC_FILT_DIRECT_DATA_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA_CR_VDMC_FILT_DIRECT_DATA_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA_CR_VDMC_FILT_DIRECT_DATA_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA_CR_VDMC_FILT_DIRECT_DATA_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA_CR_VDMC_FILT_DIRECT_DATA_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_DATA_CR_VDMC_FILT_DIRECT_DATA_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL_OFFSET		(0x0024)

/*
 * MSVDX_VDMC, CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL,
 * CR_VDMC_FILT_DIRECT_CONTROL
 */
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL_CR_VDMC_FILT_DIRECT_CONTROL_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL_CR_VDMC_FILT_DIRECT_CONTROL_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL_CR_VDMC_FILT_DIRECT_CONTROL_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL_CR_VDMC_FILT_DIRECT_CONTROL_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL_CR_VDMC_FILT_DIRECT_CONTROL_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_2D_FILTER_PIPELINE_DIRECT_INSERT_CONTROL_CR_VDMC_FILT_DIRECT_CONTROL_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA_OFFSET		(0x0028)

/*
 * MSVDX_VDMC, CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA,
 * CR_VDMC_RECON_DIRECT_DATA
 */
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA_CR_VDMC_RECON_DIRECT_DATA_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA_CR_VDMC_RECON_DIRECT_DATA_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA_CR_VDMC_RECON_DIRECT_DATA_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA_CR_VDMC_RECON_DIRECT_DATA_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA_CR_VDMC_RECON_DIRECT_DATA_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_DATA_CR_VDMC_RECON_DIRECT_DATA_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL_OFFSET		(0x002C)

/*
 * MSVDX_VDMC, CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL,
 * CR_VDMC_RECON_DIRECT_CONTROL
 */
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL_CR_VDMC_RECON_DIRECT_CONTROL_MASK		(0x00007FFF)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL_CR_VDMC_RECON_DIRECT_CONTROL_LSBMASK	(0x00007FFF)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL_CR_VDMC_RECON_DIRECT_CONTROL_SHIFT	(0)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL_CR_VDMC_RECON_DIRECT_CONTROL_LENGTH	(15)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL_CR_VDMC_RECON_DIRECT_CONTROL_DEFAULT	(0)
#define MSVDX_VDMC_CR_VDMC_PIXEL_RECONSTRUCTION_DIRECT_INSERT_CONTROL_CR_VDMC_RECON_DIRECT_CONTROL_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA_OFFSET		(0x0030)

/*
 * MSVDX_VDMC, CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA,
 * CR_VDMC_RESIDUAL_DIRECT_DATA
 */
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA_CR_VDMC_RESIDUAL_DIRECT_DATA_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA_CR_VDMC_RESIDUAL_DIRECT_DATA_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA_CR_VDMC_RESIDUAL_DIRECT_DATA_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA_CR_VDMC_RESIDUAL_DIRECT_DATA_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA_CR_VDMC_RESIDUAL_DIRECT_DATA_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_DATA_CR_VDMC_RESIDUAL_DIRECT_DATA_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_OFFSET		(0x0034)

/*
 * MSVDX_VDMC, CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL,
 * CR_VDMC_RESIDUAL_DIRECT_CONTROL
 */
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DIRECT_CONTROL_MASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DIRECT_CONTROL_LSBMASK	(0x00000001)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DIRECT_CONTROL_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DIRECT_CONTROL_LENGTH	(1)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DIRECT_CONTROL_DEFAULT	(0)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DIRECT_CONTROL_SIGNED_FIELD	(0)

/*
 * MSVDX_VDMC, CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL,
 * CR_VDMC_RESIDUAL_DISABLE_MB_CHECK
 */
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DISABLE_MB_CHECK_MASK		(0x00000002)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DISABLE_MB_CHECK_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DISABLE_MB_CHECK_SHIFT		(1)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DISABLE_MB_CHECK_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DISABLE_MB_CHECK_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_RESIDUAL_DISABLE_MB_CHECK_SIGNED_FIELD	(0)

/*
 * MSVDX_VDMC, CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL,
 * CR_VDMC_ADD_128_INTRA_IN_INTER
 */
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_ADD_128_INTRA_IN_INTER_MASK		(0x00000004)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_ADD_128_INTRA_IN_INTER_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_ADD_128_INTRA_IN_INTER_SHIFT		(2)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_ADD_128_INTRA_IN_INTER_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_ADD_128_INTRA_IN_INTER_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_ADD_128_INTRA_IN_INTER_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL, CR_VDMC_HD_SUPPORTED */
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_HD_SUPPORTED_MASK		(0x80000000)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_HD_SUPPORTED_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_HD_SUPPORTED_SHIFT		(31)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_HD_SUPPORTED_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_HD_SUPPORTED_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_RESIDUAL_DIRECT_INSERT_CONTROL_CR_VDMC_HD_SUPPORTED_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_LUMA_ERROR_BASE_ADDR_OFFSET		(0x0040)

/* MSVDX_VDMC, CR_VDMC_LUMA_ERROR_BASE_ADDR, CR_VDMC_LUMA_ERROR_BASE */
#define MSVDX_VDMC_CR_VDMC_LUMA_ERROR_BASE_ADDR_CR_VDMC_LUMA_ERROR_BASE_MASK		(0xFFFFFFC0)
#define MSVDX_VDMC_CR_VDMC_LUMA_ERROR_BASE_ADDR_CR_VDMC_LUMA_ERROR_BASE_LSBMASK		(0x03FFFFFF)
#define MSVDX_VDMC_CR_VDMC_LUMA_ERROR_BASE_ADDR_CR_VDMC_LUMA_ERROR_BASE_SHIFT		(6)
#define MSVDX_VDMC_CR_VDMC_LUMA_ERROR_BASE_ADDR_CR_VDMC_LUMA_ERROR_BASE_LENGTH		(26)
#define MSVDX_VDMC_CR_VDMC_LUMA_ERROR_BASE_ADDR_CR_VDMC_LUMA_ERROR_BASE_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_LUMA_ERROR_BASE_ADDR_CR_VDMC_LUMA_ERROR_BASE_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_CHROMA_ERROR_BASE_ADDR_OFFSET		(0x0044)

/* MSVDX_VDMC, CR_VDMC_CHROMA_ERROR_BASE_ADDR, CR_VDMC_CHROMA_ERROR_BASE */
#define MSVDX_VDMC_CR_VDMC_CHROMA_ERROR_BASE_ADDR_CR_VDMC_CHROMA_ERROR_BASE_MASK		(0xFFFFFFC0)
#define MSVDX_VDMC_CR_VDMC_CHROMA_ERROR_BASE_ADDR_CR_VDMC_CHROMA_ERROR_BASE_LSBMASK		(0x03FFFFFF)
#define MSVDX_VDMC_CR_VDMC_CHROMA_ERROR_BASE_ADDR_CR_VDMC_CHROMA_ERROR_BASE_SHIFT		(6)
#define MSVDX_VDMC_CR_VDMC_CHROMA_ERROR_BASE_ADDR_CR_VDMC_CHROMA_ERROR_BASE_LENGTH		(26)
#define MSVDX_VDMC_CR_VDMC_CHROMA_ERROR_BASE_ADDR_CR_VDMC_CHROMA_ERROR_BASE_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_CHROMA_ERROR_BASE_ADDR_CR_VDMC_CHROMA_ERROR_BASE_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_OFFSET		(0x0048)

/* MSVDX_VDMC, CR_VDMC_MACROBLOCK_NUMBER, CR_VDMC_MACROBLOCK_Y_OFFSET */
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_Y_OFFSET_MASK		(0xFFFF0000)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_Y_OFFSET_LSBMASK		(0x0000FFFF)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_Y_OFFSET_SHIFT		(16)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_Y_OFFSET_LENGTH		(16)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_Y_OFFSET_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_Y_OFFSET_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_MACROBLOCK_NUMBER, CR_VDMC_MACROBLOCK_X_OFFSET */
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_X_OFFSET_MASK		(0x0000FFFF)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_X_OFFSET_LSBMASK		(0x0000FFFF)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_X_OFFSET_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_X_OFFSET_LENGTH		(16)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_X_OFFSET_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_MACROBLOCK_NUMBER_CR_VDMC_MACROBLOCK_X_OFFSET_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_OFFSET		(0x004C)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_ERROR_DETECTED_FLAG */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_ERROR_DETECTED_FLAG_MASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_ERROR_DETECTED_FLAG_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_ERROR_DETECTED_FLAG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_ERROR_DETECTED_FLAG_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_ERROR_DETECTED_FLAG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_ERROR_DETECTED_FLAG_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_SLICE_FLUSH_FLAG */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_SLICE_FLUSH_FLAG_MASK		(0x00000002)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_SLICE_FLUSH_FLAG_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_SLICE_FLUSH_FLAG_SHIFT		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_SLICE_FLUSH_FLAG_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_SLICE_FLUSH_FLAG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_SLICE_FLUSH_FLAG_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_INTER_FILL */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_INTER_FILL_MASK		(0x00000004)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_INTER_FILL_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_INTER_FILL_SHIFT		(2)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_INTER_FILL_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_INTER_FILL_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_INTER_FILL_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_MINIMUM_REQUEST */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_MINIMUM_REQUEST_MASK		(0x04000000)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_MINIMUM_REQUEST_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_MINIMUM_REQUEST_SHIFT		(26)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_MINIMUM_REQUEST_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_MINIMUM_REQUEST_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_MINIMUM_REQUEST_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_FORCE_INTRA_WRITE */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_FORCE_INTRA_WRITE_MASK		(0x08000000)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_FORCE_INTRA_WRITE_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_FORCE_INTRA_WRITE_SHIFT		(27)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_FORCE_INTRA_WRITE_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_FORCE_INTRA_WRITE_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_FORCE_INTRA_WRITE_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_BURST4_DISABLE_INTER */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTER_MASK		(0x10000000)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTER_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTER_SHIFT		(28)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTER_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTER_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTER_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_BURST4_DISABLE_INTRA */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTRA_MASK		(0x20000000)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTRA_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTRA_SHIFT		(29)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTRA_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTRA_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_INTRA_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_BURST4_DISABLE_MBAFF */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_MBAFF_MASK		(0x40000000)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_MBAFF_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_MBAFF_SHIFT		(30)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_MBAFF_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_MBAFF_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_MBAFF_SIGNED_FIELD	(0)

/* MSVDX_VDMC, CR_VDMC_ERROR_FLUSH_CTRL, CR_VDMC_BURST4_DISABLE_JPEG */
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_JPEG_MASK		(0x80000000)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_JPEG_LSBMASK		(0x00000001)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_JPEG_SHIFT		(31)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_JPEG_LENGTH		(1)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_JPEG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_ERROR_FLUSH_CTRL_CR_VDMC_BURST4_DISABLE_JPEG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_MCU_SIGNATURE_OFFSET		(0x0050)

/* MSVDX_VDMC, CR_VDMC_MCU_SIGNATURE, CR_VDMC_MCU_SIG */
#define MSVDX_VDMC_CR_VDMC_MCU_SIGNATURE_CR_VDMC_MCU_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_MCU_SIGNATURE_CR_VDMC_MCU_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_MCU_SIGNATURE_CR_VDMC_MCU_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_MCU_SIGNATURE_CR_VDMC_MCU_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_MCU_SIGNATURE_CR_VDMC_MCU_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_MCU_SIGNATURE_CR_VDMC_MCU_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_RES_BUFFER_WRITES_OFFSET		(0x0054)

/* MSVDX_VDMC, CR_VDMC_RES_BUFFER_WRITES, CR_VDMC_RES_WRITES */
#define MSVDX_VDMC_CR_VDMC_RES_BUFFER_WRITES_CR_VDMC_RES_WRITES_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_RES_BUFFER_WRITES_CR_VDMC_RES_WRITES_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_RES_BUFFER_WRITES_CR_VDMC_RES_WRITES_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_RES_BUFFER_WRITES_CR_VDMC_RES_WRITES_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_RES_BUFFER_WRITES_CR_VDMC_RES_WRITES_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_RES_BUFFER_WRITES_CR_VDMC_RES_WRITES_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE_OFFSET		(0x0058)

/*
 * MSVDX_VDMC, CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE,
 * CR_VDMC_REFCACHE_MEM_WADDR_SIG
 */
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_WADDR_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_WADDR_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_WADDR_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_WADDR_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_WADDR_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_WADDR_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE_OFFSET		(0x005C)

/*
 * MSVDX_VDMC, CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE,
 * CR_VDMC_REFCACHE_MEM_RADDR_SIG
 */
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_RADDR_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_RADDR_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_RADDR_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_RADDR_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_RADDR_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RADDR_SIGNATURE_CR_VDMC_REFCACHE_MEM_RADDR_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE_OFFSET		(0x0060)

/*
 * MSVDX_VDMC, CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE,
 * CR_VDMC_REFCACHE_MEM_WDATA_SIG
 */
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_WDATA_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_WDATA_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_WDATA_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_WDATA_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_WDATA_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_WDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_WDATA_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE_OFFSET		(0x0064)

/*
 * MSVDX_VDMC, CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE,
 * CR_VDMC_REFCACHE_MEM_RDATA_SIG
 */
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_RDATA_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_RDATA_SIG_LSBMASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_RDATA_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_RDATA_SIG_LENGTH		(32)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_RDATA_SIG_DEFAULT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_RDATA_SIGNATURE_CR_VDMC_REFCACHE_MEM_RDATA_SIG_SIGNED_FIELD	(0)

#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE_OFFSET		(0x0068)

/*
 * MSVDX_VDMC, CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE,
 * CR_VDMC_REFCACHE_MEM_PRELOAD_SIG
 */
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE_CR_VDMC_REFCACHE_MEM_PRELOAD_SIG_MASK		(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE_CR_VDMC_REFCACHE_MEM_PRELOAD_SIG_LSBMASK	(0xFFFFFFFF)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE_CR_VDMC_REFCACHE_MEM_PRELOAD_SIG_SHIFT		(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE_CR_VDMC_REFCACHE_MEM_PRELOAD_SIG_LENGTH	(32)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE_CR_VDMC_REFCACHE_MEM_PRELOAD_SIG_DEFAULT	(0)
#define MSVDX_VDMC_CR_VDMC_REFERENCE_CACHE_MEM_PRELOAD_SIGNATURE_CR_VDMC_REFCACHE_MEM_PRELOAD_SIG_SIGNED_FIELD	(0)

#endif /* _IMG_MSVDX_VDMC_REGS_H */
